Package org.apache.sling.cms.core.internal.models

## Class PageTemplateManagerImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.PageTemplateManagerImpl

All Implemented Interfaces:
  `PageTemplateManager`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.PageTemplateManager.class)
    public class PageTemplateManagerImpl
    extends Object
    implements PageTemplateManager

A model for retrieving the available templates to create a page under the specified resource.

### Constructor Summary

Constructors
`PageTemplateManagerImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<PageTemplate>` `getAvailableTemplates()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageTemplateManagerImpl

    public PageTemplateManagerImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getAvailableTemplates

    public List<PageTemplate> getAvailableTemplates()

Specified by:
  `getAvailableTemplates` in interface `PageTemplateManager`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`